#===========================================================================;
#
#   This material has been supplied as part of the Sonic Foundry Plug-In
#   Development Kit (PIDK). Under copyright laws, this material may not be
#   duplicated in whole or in part, except for personal use, without the
#   express written consent of Sonic Foundry, Inc. Refer to the license
#   agreement contained with the PIDK before using any part of this material.
#
#   THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
#   KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
#   IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
#   PURPOSE.
#
#   Web:    www.sonicfoundry.com
#   Email:  pidk@sonicfoundry.com
#
#   Copyright (C) 1996-1998 Sonic Foundry, Inc. All Rights Reserved.
#   Portions Copyright (C) 1992-1996 Microsoft Corporation.
#
#---------------------------------------------------------------------------;
#
#   ACTIVEX Project Makefile
#
#   Targets are provided by ACTIVEX.MAK
#
#   all     Create executables (default).
#   clean   Remove all files created by any goal.
#
#   This makefile stub simplifies makefile creation for those
#   cases where you want to use standard options.
#
#===========================================================================;

# Target
#
TARGET_NAME = sfmix
TARGET_TYPE = DYNLINK
TARGET_EXT  = ax

# Source files
#
SRC_FILES   = $(TARGET_NAME).cpp sfplugin.cpp sfppage.cpp
RC_FILE     = $(TARGET_NAME).rc
DEF_FILE    = $(TARGET_NAME).def

# DLL specific defines
#
DLL_BASE    = 0x1D190000
LINK_LIBS   =

# setup environment
#
!ifndef AXSDK
AXSDK = \dxmedia
!endif
INCLUDE = ..\include;$(INCLUDE)

# stuff to build after the dll has been built.
#
END_TASK = $(AXSDK)\BIN\$(DBG_RTL)\$(TARGET_NAME).hlp

# include ACTIVEX.MAK, main goal is here
#
!include "$(AXSDK)\tools\activex.mak"

# project specific goals

# build the help file
#
$(DBG_RTL)\$(TARGET_NAME).hlp: $(TARGET_NAME).hpj $(TARGET_NAME).rtf context.h
    echo Compiling help file using $(TARGET_NAME).hpj...   > $(MAKE_ECHO)
    $(TYPE_ECHO)
    $(FILE_ECHO)
    echo hcw /C /M /E $(TARGET_NAME).hpj > $(MAKE_ECHO)
    $(TYPE_ECHO2)
    $(FILE_ECHO)
    hcw /C /M /E $(TARGET_NAME).hpj
    echo. > $(MAKE_ECHO)
    $(TYPE_ECHO2)
    $(FILE_ECHO)
    copy $(TARGET_NAME).hlp $(DBG_RTL) > $(MAKE_ECHO)
    del $(TARGET_NAME).hlp > $(MAKE_ECHO)

$(AXSDK)\BIN\$(DBG_RTL)\$(TARGET_NAME).hlp: $(DBG_RTL)\$(TARGET_NAME).hlp
    echo Copy $(DBG_RTL)\$(TARGET_NAME).hlp $(AXSDK)\BIN\$(DBG_RTL)\$(TARGET_NAME).hlp > $(MAKE_ECHO)
    $(TYPE_ECHO2)
    $(FILE_ECHO)
    copy $(DBG_RTL)\$(TARGET_NAME).hlp $(AXSDK)\BIN\$(DBG_RTL)\$(TARGET_NAME).hlp > $(MAKE_ECHO)
    $(TYPE_ECHO2)
    $(FILE_ECHO)
    echo. > $(MAKE_ECHO)
    $(TYPE_ECHO2)
    $(FILE_ECHO)
